> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deliveryman.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Change Campaign Contact List

> Updates campaign to use a different contact list. This request starts a background task and might take a few minutes for changes to be reflected depending on the size of contact list. Campaign will be moved to `creating` status until done. Returns status code `202` upon successfully starting the update task. This operation can only be peformed on campaigns in `created` status.



## OpenAPI

````yaml /openapi.yml patch /api/v1/campaign/change-contact-list/
openapi: 3.1.1
info:
  title: DeliverymanAI API
  version: 1.0.0
  description: >-
    API documentation for DeliverymanAI, a Cold Email Management and Automation
    platform. This API provides endpoints for managing campaigns, contacts,
    email sequences, and related services.
servers:
  - url: https://api.deliveryman.ai
    description: Deliveryman API Server
security: []
paths:
  /api/v1/campaign/change-contact-list/:
    patch:
      tags:
        - Campaign
      summary: Change Campaign Contact List
      description: >-
        Updates campaign to use a different contact list. This request starts a
        background task and might take a few minutes for changes to be reflected
        depending on the size of contact list. Campaign will be moved to
        `creating` status until done. Returns status code `202` upon
        successfully starting the update task. This operation can only be
        peformed on campaigns in `created` status.
      operationId: campaign_change_contact_list_partial_update
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedChangeCampaignContactListRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedChangeCampaignContactListRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedChangeCampaignContactListRequest'
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChangeCampaignContactListResponse'
          description: Processing Started
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleMessageResponse'
          description: Bad Request
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleMessageResponse'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleMessageResponse'
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PatchedChangeCampaignContactListRequest:
      properties:
        campaign_uid:
          description: UID of campaign to update.
          title: Campaign Uid
          type: string
        contact_list_uid:
          description: UID of contact list to use.
          title: Contact List Uid
          type: string
      required:
        - campaign_uid
        - contact_list_uid
      title: ChangeCampaignContactListRequest
      type: object
    ChangeCampaignContactListResponse:
      type: object
      properties:
        message:
          type: string
        campaign_uid:
          type: string
        contact_list_uid:
          type: string
        task_started_on:
          type: string
          format: date-time
      required:
        - campaign_uid
        - contact_list_uid
        - message
        - task_started_on
    SimpleMessageResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: 'Enter your API key in the format: X-Api-Key <your_key>'

````